Portfolio

Export investors table as CSV

GET/portfolio/tables/investors/export

Downloads the investors table data as a CSV file, applying the same filters, currency conversion, and asset scoping.

Query parameters

  • asset_idinteger#
  • investor_idinteger#
  • per_pageinteger#
  • pageinteger#
  • pre_datestring (date-time)#
  • asset_classPortfolioAssetClass | null#
  • structurestring | null#
    One of: direct, private_equity_fund, combined
  • filter[]array | null#
  • sub_position_parent_idinteger#
  • includePendingboolean#
  • latestboolean#
  • currencystringRequired#

Responses

202
{
  "audit_guid": "string"
}
404

An error

422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/tables/investors/export?currency={currency}\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"